{% load crispy_forms_tags %}
<div class="row">
 <div class="container">
  <h2>Досье (кто вы и как вас найти)</h2>
  <p>Старайтесь сохранять эту информацию актуальной &mdash; если у вас поменялся номер телефона или фамилия, не забудьте их поправить или <a href="mailto:sarah.connor@letnyayashkola.org">напишите нам</a>, если это случилось уже после того как анкета была отправлена.</p>
  <p><b>Лучше заполнять эту анкету с полноценного компьютера, а не с мобильного устройства</b>.</p>
 </div>
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <img id="photo" src="{{ photo.photo_absolute_url }}">
      <a class="btn btn-info btn-block" href="{% url 'intake:upload_photo' %}">Сменить фотку</a>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3>Базовая информация</h3>
	<p>Пожалуйста, используйте свои настоящие имя и фамилия, а не клички или псевдонимы.</p>
        {% if not profile.has_all_basic_fields %}<h4 class="profile-required-field">тут надо всё заполнить, без этого никуда</h4>{% endif %}
        <dl>
          <dt>Имя</dt>
	  {% if profile.first_name %}
            <dd>{{ profile.first_name }}</dd>
	  {% else %}
	    <dd>&mdash;</dd>
	  {% endif %}
          <dt>Фамилия</dt>
	  {% if profile.last_name %}
            <dd>{{ profile.last_name }}</dd>
	  {% else %}
	    <dd>&mdash;</dd>
	  {% endif %}
          <dt>Отчество</dt>
	  {% if profile.middle_name %}
            <dd>{{ profile.middle_name }}</dd>
	  {% else %}
	    <dd>&mdash;</dd>
	  {% endif %}
          <dt>Место жительства</dt>
	  {% if profile.location%}
            <dd>{{ profile.location }}</dd>
	  {% else %}
	    <dd>&mdash;</dd>
	  {% endif %}
          <dt>Возраст</dt>
	  {% if profile.birthdate %}
            <dd>{{ profile.age }}</dd>
	  {% endif %}
        </dl>

        {% if profile.has_all_basic_fields  %}
        </dl>
        <a
            class="btn btn-default btn-block"
	    href="{% url 'intake:provide_basic_info' %}"
	>
	    Дополнить информацию
	</a>
        {% else %}
        <h4 class="profile-required-field">обязательно заполни</h4>
        <a
            class="btn btn-default btn-block"
	    href="{% url 'intake:provide_basic_info' %}"
	>
            Заполнить информацию
	</a>
        {% endif %}
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3 id="contacts">Контакты</h3>
        {% if not uac %}<h4 class="profile-required-field">обязательно заполни</h4>{% endif %}
          <dl>
            <dt>email</dt>
              <dd>{{ profile.email }}</dd>
                {% if uac %}
                  <dt>Другие контакты:</dt>
                  {% for c_label, c, is_link in uac.get_data %}
                    <dd>{{ c_label}}: {% if is_link %}<a href="{{ c }}">{{ c }}</a>{% else %}{{ c }}{% endif %}</dd>
                  {% empty %}
                    <dd>А НЕТУ!</dd>
                  {% endfor %}
                {% endif %}

                {% if underage_data %}
                  <dt id="parents">Родитель </dt>
                  {% if underage_data.parental_confirm %}<dd>(согласие получено)</dd>{% endif %}
                  <dd>{{ underage_data.parental_phone }}</dd>
                  <dd>{{ underage_data.parental_email }}</dd>
                  <dd>{{ underage_data.parental_name }}</dd>
                  <dt>Класс, который <br/>заканчивает этим летом</dt>
                  <dd>{{ underage_data.cls_finished }}</dd>
                {% endif %}
                </dl>

                {% if uac %}
                  <a class="btn btn-default btn-sm btn-block" href="{% url 'intake:provide_contacts' %}">Добавить или поменять</a>
                {% else %}
                  <a class="btn btn-primary btn-sm btn-block" href="{% url 'intake:provide_contacts' %}">Надо добавить хотя бы телефон</a>
                {% endif %}

        {% if profile.is_underage %}
          {% if underage_data %}
            <a class="btn btn-default btn-sm btn-block" href="{% url 'intake:parents' %}">Поправить данные о родителях</a>
          {% else %}
            <h4 id="parents">Несовершеннолетним требуется ещё указать данные родителей и класс</h4>
            <a class="btn btn-primary btn-sm btn-block" href="{% url 'intake:parents' %}">Указать данные родителей</a>
          {% endif%}
        {% endif %}
      </div>
    </div>
  </div>
</div>

{% if profile.is_underage %}
<div class="row">
{% include "intake/_underage_docs_required_snippet.html" %}
</div>
{% endif %}

<div class="row">
 <div class="container">
  <h2>Портфолио (что вы делаете и где были)</h2>
  <p>Этот блок &mdash; стандартные вопросы при знакомстве. Вас спросит почти любой, кем вы работаете, на кого учились и чем увлекаетесь. Пока что мы вас спрашиваем про то, бывали ли вы на ЛШ ранее, но надеемся, что в дальнейшем этот раздел будет наполняться информацией о вашем участии в летнешкольной жизни.</p>
 </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3 id="edu">Образование</h3>
        {% if uei %}
        <dl>
          <dt>Образование: {{ uei.get_finished_ed_display }}</dt>
            <dd>{{ uei.affiliation }}</dd>
        </dl>
        <a class="btn btn-default btn-block" href="{% url 'intake:collect_education_info' %}">Дополнить информацию</a>
        {% else %}
        <h4 class="profile-required-field">обязательно заполни</h4>
        <a class="btn btn-primary btn-block" href="{% url 'intake:collect_education_info' %}">Заполнить информацию</a>
        {% endif %}
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3 id="occupation">Занятость</h3>
        {% if uact %}
        <dl>
          <dt>Основная</dt>
          <dd>{{ uact.main_occupation }}</dd>
          {% if uact.hobbies %}
            <dt>Хобби</dt>
            <dd>{{ uact.hobbies }}</dd>
          {% endif %}
        </dl>
        <a class="btn btn-default btn-block" href="{% url 'intake:get_activity_info' %}">
          Дополнить информацию
        </a>
        {% else %}
          <h4 class="profile-required-field">обязательно заполни</h4>
          <a class="btn btn-primary btn-block" href="{% url 'intake:get_activity_info' %}">
            Заполнить информацию
          </a>
        {% endif %}
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3 id="nostalgia">Предыдущие школы</h3>
        {% if pfpi.lsh_schools or pfpi.nostalgia or pfpi.other_schools %}
          {% for item in pfpi.lsh_schools %}
            {% if forloop.first %}
              <h4>Имеющие отношение к ЛШ</h4>
            {% endif %}
            <p>{{item.year}} &mdash; {{item.event_name}}</p>
          {% endfor %}

          {% for item in pfpi.other_schools %}
            {% if forloop.first %}
              <h4>Другие похожие мероприятия</h4>
            {% endif %}
            <p>{{item.year}} &mdash; {{item.event_name}}</p>
          {% endfor %}

          {% if pfpi.nostalgia %}
            <h3>Ностальгия</h3>
            <p><small>{{pfpi.nostalgia }}</small></p>
          {% endif %}
          <a class="btn btn-default btn-block" href="{% url 'intake:retrospect' %}">Дополнить информацию</a>
        {% else %}
          <h4 class="profile-required-field">обязательно заполни</h4>
          <a class="btn btn-primary btn-block" href="{% url 'intake:retrospect' %}">Заполнить информацию</a>
        {% endif %}
      </div>
    </div>
  </div>
</div>

{% if locked_to_workshop %}
<div class="row" id="workshop-select">
 <div class="container">
  <h2 id="workshop">Выбор программы и мастерской уже сделан</h2>
  <p>Теперь можно добавить и/или изменить мотивацию выбора мастерской, где подробно описать, зачем и почему именно эта мастерская и именно эта программа вас интересует.</p>
 </div>

  <div class="col-md-6">
    <div class="thumbnail">
      <div class="caption">
        {% if rich_wpc_info %}
          <p>
            Выбрана программа<br/>
            &laquo;{{ rich_wpc_info.p_name }}&raquo;<br/>
            на мастерской<br/>
            &laquo;{{ rich_wpc_info.w_name }}&raquo;
          </p>
        {% else %}
          <p class="alert-info">
            Выбрана программа<br/>
            '{{ wpc.program_slug }}'<br/>
            на мастерской<br/>
            '{{ wpc.workshop_slug }}'
          </p>
        {% endif %}
      </div>
    </div>
  </div>

  <div class="col-md-6">
    <div class="thumbnail">
      <div class="caption">
        <h3>Мотивация выбора</h3>
        <p class="profile-required-field">{{ wpc.wait_but_why|default:"[ Это поле надо поменять ]" }}.</p>
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#myModal">
            <span class="glyphicon glyphicon-pencil"></span>
            Редактировать
        </button>

        <!-- Modal -->
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Мотивация выбора мастерской</h4>
              </div>
              <form method="POST" action="{% url 'intake:wpc-motivation-edit' %}">
                  {% crispy wpcmotivation_form %}
              </form>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>

</div>
{% else %}
<div class="row" id="workshop-select">
<div class="container">
  <h2 id="workshop">Мастерская, программа, вот это всё</h2>
  <p>В этом блоке вы выбираете вашу первую мастерскую на ЛШ-2020 и обосновываете этот выбор. Ко времени, когда первые мастерские начнут рассказывать о том, взяли вас или нет (примерно середина мая), мы сделаем, чтобы в этом же блоке можно было бы выбрать вторую мастерскую (впрочем, участие в двух мастерских на одной ЛШ не очень приветствуется). </p>
  <p><span class="glyphicon glyphicon-exclamation-sign"></span> Имейте в виду, у нас есть несколько мастерских, которые набирают участников на разные программы. Разные программы подразумевают разный уровень и&nbsp;направление работы.</p>
</div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <p>Мастерскую выбрать можно по нескольким соображениям:</p>
        <ul>
          <li>по интересу</li>
          <li>по своим умениям</li>
          <li>учтя ограничения, которые накладывает та или иная мастерская</li>
        </ul>
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        {% if wpc %}
          {% if rich_wpc_info %}
            <p>
              Выбрана программа<br/>
              &laquo;{{ rich_wpc_info.p_name }}&raquo;<br/>
              на мастерской<br/>
              &laquo;{{ rich_wpc_info.w_name }}&raquo;
            </p>
          {% else %}
            <p class="alert-info">
              Выбрана программа<br/>
              '{{ wpc.program_slug }}'<br/>
              на мастерской<br/>
              '{{ wpc.workshop_slug }}'
            </p>
          {% endif %}
        <a class="btn btn-default btn-block" href="{% url 'intake:program_select' %}">Изменить выбор/мотивацию</a>
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3>Мотивация выбора</h3>
        <p>{{ wpc.wait_but_why|default:"[это тоже надо заполнить выше]" }}.</p>

      </div>
    </div>
  </div>


{# No WPC found #}
        {% else %}
        <h4 class="profile-required-field">самое главное! <small>обязательно заполни</small></h4>
        <a class="btn btn-primary btn-block" href="{% url 'intake:program_select' %}">Выбрать мастерскую</a>
      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">

    <div class="thumbnail">
      <div class="caption">
        <h3>Мотивация выбора</h3>
        <p class="profile-required-field">Это тоже надо будет заполнить.</p>

      </div>
    </div>
  </div>


        {% endif %}


</div>
{% endif %}

<div class="row">
 <div class="container">
  <h2>ЛШ &mdash; наше общее дело</h2>
  <p>Летняя школа &mdash; свободный образовательный проект. Свободу мы поддерживаем благодаря тому, что все &mdash; от расписания до помывки посуды после ужина &mdash; делается силами летнешкольников (и участников, и преподавателей, и организаторов &mdash; всех вместе!). Это общее дело касается и быта (квартирьерство и помощь), и содержания.</p>
  <p>Напоминаем, что Летняя школа свободна и от зарплат. Именно поэтому мы собираем взносы абсолютно со всех &mdash; от директоров мастерских до приезжающих на несколько дней преподавателей.  Для удобства участников мы организуем автобусы от Москвы в начале каждого цикла.  Ну и наконец сроки &mdash; по умолчанию подписываясь на работу какой-то мастерской, вы подписываетесь на срок ее работы от начала до конца. Если у вас есть сложности, укажите здесь точные сроки вашего возможного приезда, чтобы координатор мастерской обратил на это внимание. Также учтите в этом диапазоне ваше участие в квартирьерстве (об этом мы спрашивали ранее).</p>
 </div>
</div>

<div class="row">


  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h4>Откуда вы знаете про ЛШ?</h4>
        {% if pfpi.leak_src_list or pfpi.leak_src_other %}
          {% if pfpi.leak_src_list %}
            {% for _, src in pfpi.leak_src_list %}
              {% if forloop.first %}
              <dt>Основные источники</dt>
                <ol>
              {% endif %}

              <li>{{ src }}</li>

              {% if forloop.last %}
                </ol>
              {% endif %}

            {% endfor %}
          {% endif %}

          {% if pfpi.leak_src_other %}
            <dt>Ещё источник</dt>
            <dd><p><small>{{ pfpi.leak_src_other }}</small></p>
          {% endif %}

          <a class="btn btn-default btn-block" href="{% url 'intake:leakage' %}">Дополнить информацию</a>
        {% else %}
          <h4 class="profile-required-field">обязательно заполни</h4>
          <a class="btn btn-primary btn-block" href="{% url 'intake:leakage' %}">Заполнить информацию</a>
        {% endif %}

      </div>
    </div>
  </div>

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3>Деньги</h3>
        {% comment %}
        {% if profile.is_underage %}
          <p>Для школьников рекомендованный взнос составляет 4000 рублей за цикл (то есть за неделю). Однако, уважаемые родители, если Вы готовы привнести в бюджет ЛШ большую сумму, мы будем рады и расценим её как спонсорскую поддержку. Впрочем, если предполагаемая сумма для Вас неподъёмна, мы готовы обсудить возможности обоснованной скидки. Свяжитесь, пожалуйста, в таком случае, <a href="mailto:window@letnyayashkola.org">с оргкомитетом</a>.</p>
        {% else %}
        {% endif %}
        {% endcomment %}

        {% if gibe %}
          {% if gibe.money %}
            <p>Готов дать {{ gibe.get_money_display }}</p>
            <a class="btn btn-default btn-block" href="{% url 'intake:fill_in_money' %}">
              Изменить инфу про деньги
            </a>
          {% else %}
            <h4 class="profile-required-field">обязательно заполни</h4>
            <a class="btn btn-primary btn-block" href="{% url 'intake:fill_in_money' %}">
              Заполнить инфу про деньги
            </a>
          {% endif %}
        {% else %}
            <h4 class="profile-required-field">обязательно заполни</h4>
            <a class="btn btn-primary btn-block" href="{% url 'intake:fill_in_money' %}">
              Заполнить инфу про деньги
            </a>
        {% endif %}

      </div>
    </div>
  </div>

</div>

<div class="row">
 <div class="container">
  <h3>Сроки</h3>
  <p>Летняя школа традиционно проходит в июле-августе.</p>
  <p>Время на «Летней школе» измеряется циклами. В каждом из них четыре учебных дня и один выходной. Каждая мастерская работает не менее двух циклов. Заезды и отъезды участников — по выходным дням.</p>

  {#<br/>Заезд на&nbsp;ЛШ-2020 будет <b>8&nbsp;июля</b>, а&nbsp;10&nbsp;июля начнётся первый учебный день. Финальный выезд проходит в два дня, 6&nbsp;и&nbsp;7&nbsp;августа.</p>#}

  <div class="col-sm-6 col-md-6">
  {% include "_list_cycles.html" %}
  </div>

  {#<div class="col-sm-6 col-md-6"> #}
  {#{% include "_list_builders.html" %}#}
  {#</div>#}
 </div>
</div>

<div class="row">
 <div class="container">

  <h3>Дорога на/до/к ЛШ</h3>
    <p>Обычно мы планируем несколько централизованных забросок на автобусах в определённые дни (за день до начала цикла). Подробнее логистику с вами обсудит координатор ближе к срокам работы мастерской
Помните, что это самый удобный способ доехать, но учтите, что мы расчитываем число мест в автобусе на основе ваших ответов, так что <strong>выбирая себе место в автобусе, приложите все усилия, чтобы поехать именно на автобусе</strong>. (Место в автобусе оплачивается отдельно и сравнимо с затратами на то, чтобы добраться своим путём. Однако сил и нервов &mdash; ваших и координаторов &mdash; так тратится гораздо меньше).</p>
    <p>Своим ходом можно добраться на электричке до Дубны или до Савёлово (Кимры), а далее либо на автобусе и немножко пешком, либо на такси до лагеря &laquo;Волга&raquo;.<br/>Подробное описание есть <a href="http://letnyayashkola.org/FAQ">в разделе ЧаВо на нашем информационном портале</a></p>
 </div>

</div>
